/*
 |--------------------------------------------------------------------------
 | Contents
 |--------------------------------------------------------------------------
 |
 | 1.Root Variables
 | 2.Material Design Icons
 | 3.Helpers
 | 4.Status Section
 | 5.Layout
 | 6.Navbar
 | 7.Sidebar
 | 8.Card
 | 9.Table
 | 10.Nav-Pills Section
 | 11.Quiz Section
 |
 */

/* 1.Root Variables */
:root {
    --body-bg: #f2f1f7;
    --border: #cacbd8;
    --card-header: #f3f4f9;
    --card-header-text: #5c6070;
    --grey-darken: #2b2b2b;
    --primary-color: #f63334;
    --grey-lighten: #a9aab4;
    --blue: #2781fd;
    --yellow: #efb21f;
    --green: #26ae43;
    --orange: #ff6d03;
    --blue-text: #2781fd;
    --yellow-text: #efb21f;
    --green-text: #26ae43;
    --orange-text: #ff6d03;
    --status-closed: #26ae43;
    --status-open: #ff6d03;
    --status-in-progress: #2781fd;

    --light: 300;
    --regular: 400;
    --bold: 600;
}

/* 2.Material Design Icons
   ========================================================================== */

@font-face {
    font-family: 'Material Icons';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/md-icons/MaterialIcons-Regular.eot?e79bfd88537def476913f3ed52f4f4b3);
    /* For IE6-8 */
    src: local("Material Icons"),
        local("MaterialIcons-Regular"),
        url(/fonts/md-icons/MaterialIcons-Regular.woff2?570eb83859dc23dd0eec423a49e147fe) format("woff2"),
        url(/fonts/md-icons/MaterialIcons-Regular.woff?012cf6a10129e2275d79d6adac7f3b02) format("woff"),
        url(/fonts/md-icons/MaterialIcons-Regular.ttf?a37b0c01c0baf1888ca812cc0508f6e2) format("truetype");
}

.material-icons {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    display: inline-block;
    line-height: 1;
    text-transform: none;
    letter-spacing: normal;
    word-wrap: normal;
    white-space: nowrap;
    direction: ltr;
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-feature-settings: 'liga';
    font-feature-settings: 'liga';
}

/* 3.Helpers
 ========================================================================== */
.t-width {
    word-break: break-word;
    width: 300px !important;
}

.pad-0 {
    padding: 0 !important;
}

.scroll-y {
    overflow-y: auto;
}

.h-auto {
    height: auto !important;
}

.btn-file {
    position: relative;
    overflow: hidden;
}

.btn-file input[type=file] {
    position: absolute;
    top: 10px;
    right: 0;
    opacity: 0;
    outline: none;
    cursor: inherit;
    display: block;
}

.bg-none {
    border: none;
}

.table-h {
    height: 140px;
}

.ft-sm {
    font-size: 14px;
}

/* 4.Status Section
   ========================================================================== */


/* 5.Layout
  ========================================================================== */
body {
    background: #f2f1f7;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 14px;
}

main {
    padding: 75px 34px 15px 94px;
    width: 100%;
}

.btn i {
    vertical-align: middle;
    padding-right: 5px;
}

/* 6.Navbar
  ========================================================================== */
.navbar-quiz {
    background: #fff !important;
    z-index: 1030;
    border-bottom: 1px var(--border) solid;
}

.dropdown-menu a:hover {
    color: #f63334;
}

/* 7.Sidebar
  ========================================================================== */
aside {
    bottom: 0;
    overflow: hidden;
    position: fixed;
    top: 24px;
    -webkit-transition: all 0.2s ease;
    transition: all 0.2s ease;
    width: 58px;
    background: #ffffff;
    border-right: 1px #cacbd8 solid;
    z-index: 1;
}

aside ul {
    padding: 0;
    margin: 0;
    margin-top: 30px;
    ;
}

aside ul li {
    display: inline-block;
    width: 100%;
    margin: 15px 0px 15px 9px;
}

aside ul li.logo img {
    padding: 10px;
}

aside ul li.logo,
aside ul li:hover .logo {
    border-bottom: 1px #cacbd8 solid;
    padding: 0;
    margin: 0 !important;
    line-height: 0px;
}

aside ul li a {
    text-decoration: none;
    text-align: center;
    padding: 7px;
    line-height: 32px;
    border-radius: 12px;
    color: #b4b7c5;
}

aside ul li a i {
    vertical-align: middle;
    color: #b4b7c5;
    font-size: 24px !important;
}

aside ul li.active i,
aside ul li:hover i {
    color: #fff;
}

aside ul li.active a,
aside ul li:hover a {
    text-decoration: none;
    text-align: center;
    background-color: #f63334;
    padding: 7px 8px 12px 8px;
    line-height: 32px;
    color: #ffffff;
    border-radius: 9px;
}

aside ul li span {
    font-family: 'Roboto', sans-serif;
    font-weight: var(--regular);
    position: fixed;
    right: 0px;
    left: 57px;
    z-index: 1036;
    background: #fff;
    color: #f63334;
    padding: 7px 5px 7px 10px;
    width: 120px;
    display: none;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    border-top: 1px solid var(--border);
    border-right: 1px solid var(--border);
    border-bottom: 1px solid var(--border);
    box-shadow: 12px 8px 20px -10px rgba(0, 0, 0, 0.4);
}

aside ul li:hover span {
    display: inline;
}

/* 8.Card
  ========================================================================== */
.app-box {
    padding: 7px;
}

.app-box .card {
    border: 1px var(--border) solid;
    height: 150px;
}

.app-box .card .card-header {
    border-bottom: 0px;
    background: var(--card-header);
    color: var(--card-header-text);
    font-family: 'Fira Sans', sans-serif;
    font-weight: var(--regular);
}


/* 9.Table
  ========================================================================== */
.app-table {
    font-family: 'Roboto', sans-serif;
}

.app-table thead th {
    border-bottom: 0 !important;
}

table.dataTable {
    border-collapse: collapse !important;
    font-family: 'Roboto', sans-serif;
    text-align: center;
    color: var(--card-header-text);
    font-weight: var(--bold);
}

table.dataTable.no-footer {
    border-bottom: 1px solid var(--border) !important;
}

#questions_wrapper {
    margin-top: 10px;
    margin-bottom: 10px;
}

#questions_filter label {
    float: right;
}

.app-table th,
.app-table thead th {
    text-transform: capitalize;
}

.app-table thead th {
    font-family: 'Roboto', sans-serif;
    text-align: center;
    color: var(--card-header-text);
    font-weight: var(--bold);
    vertical-align: middle;
}

.app-table tbody td {
    font-family: 'Roboto', sans-serif;
    text-align: center;
    font-weight: var(--light);
}

.app-table tbody td ul {
    padding: 0;
}

.app-table td p {
    padding-top: 15px;
    font-family: 'Roboto', sans-serif;
    padding: 0;
    margin: 0;
}

/* 10.Nav-Pills Section
  ========================================================================== */
.nav-pills .nav-link {
    border-radius: 30px;
    line-height: 14px;
    color: #858586;
}

.nav-pills .nav-link.active {
    background-color: var(--primary-color);
}

/* 11.Quiz Section
  ========================================================================== */
.quiz input[type="radio"]:checked+label {
    color: #212121;
    font-weight: bold;
}

.quiz .custom-control-input:checked~.custom-control-label::before {
    color: #fff;
    background-color: #212121 !important;
}


.question {
    font-size: 16px;
    margin-bottom: 0px;
    letter-spacing: 0.50px;
    line-height: 24px;
    color: #202124;
}

.custom-radio {
    padding: 4px 25px;
    color: #818181;
    font-size: 14px;
    letter-spacing: 0.60px;
}

.pointer {
    cursor: pointer;
}

.test-completed {
    border: 1px solid #02980c;
    color: #02980c;
}

.test-not-completed {
    border: 1px solid #ff6501;
    color: #ff6501;
}

.user-registered {
    border: 1px solid #0239a6;
    color: #0239a6;
}

.user-invited {
    border: 1px solid #00a2e8;
    color: #00a2e8;
}

.user-selected {
    border: 1px solid #08d8c5;
    color: #08d8c5;
}

.user-rejected {
    border: 1px solid #f63334;
    color: #f63334;
}

.test-timer {
    color: #1f1fff;
    font-size: 16px;
}
